libzypp 17.38.15

zyppng::detail::RedoWhileImpl< Task, Pred, Arg, typename > Struct Template Reference

`#include <zypp-core/ng/pipelines/redo.h>`

## Static Public Member Functions
template<typename T = Arg>
static auto | execute (Task task, Pred pred, T &&arg)

## Detailed Description

template<typename Task, typename Pred, typename Arg, typename = void>
struct zyppng::detail::RedoWhileImpl< Task, Pred, Arg, typename >

Definition at line 27 of file redo.h.

## Member Function Documentation

## ◆ execute()

template<typename Task, typename Pred, typename Arg, typename = void>
template<typename T = Arg>

auto zyppng::detail::RedoWhileImpl< Task, Pred, Arg, typename >::execute | ( | Task | task,
|  | Pred | pred,
|  | T && | arg )
| inline static

Definition at line 30 of file redo.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/redo.h